# asMutableComposeListState

inline fun < T > Flow< List < T >>. asMutableComposeListState (scope: CoroutineScope, useContextOnChange: CoroutineContext ? = Dispatchers.Main, noinline onException: ExceptionHandler < List < T >?> = defaultSafelyWithoutExceptionHandlerWithNull): ERROR CLASS: Symbol not found for SnapshotStateList<T>(source)

Each value of this will trigger applyDiff to the result SnapshotStateList

#### Parameters

scope

Will be used to subscribeSafelyWithoutExceptions on this to update returned SnapshotStateList

useContextOnChange

Will be used to change context inside of subscribeSafelyWithoutExceptions to ensure that change will happen in the required CoroutineContext. Dispatchers.Main by default

onException

Will be passed to the subscribeSafelyWithoutExceptions as uncaught exceptions handler